मैंने अपने रास्पबेरी पाई 3 बी पर विंडोज़ 10 आईओटी कोर स्थापित किया है और अपने रास्पबेरी पाई और अपने पीसी को एक ही कनेक्शन से जोड़ता हूं। लेकिन जब मैं विजुअल स्टूडियो 2022 में लिखा गया एक साधारण प्रोग्राम चलाना चाहता हूं। ये त्रुटियां दिखाई देती हैं:

 Missing tools on -574456429: g++ gdb rsync zip
 Could not resolve path '~/projects/Blink1/obj/ARM/Debug/'

कोड:

#include <wiringPi.h>


// LED Pin - wiringPi pin 0 is BCM_GPIO 17.
// we have to use BCM numbering when initializing with wiringPiSetupSys
// when choosing a different pin number please use the BCM numbering, also
// update the Property Pages - Build Events - Remote Post-Build Event command
// which uses gpio export for setup for wiringPiSetupSys
#define LED 17

int main(void)
{
    wiringPiSetupSys();

    pinMode(LED, OUTPUT);

    while (true)
    {
        digitalWrite(LED, HIGH);  // On
        delay(500); // ms
        digitalWrite(LED, LOW);   // Off
        delay(500);
    }
    return 0;
}

.Windows 10 IoT कोर संस्करण 10.0.17763.107 है

.विजुअल स्टूडियो संस्करण 2022 पूर्वावलोकन है

कोई विचार???

enter image description here

अपडेट किया गया: वायरिंग पाई रास्पबेरी पाई के लिए एक लिनक्स बेस लाइब्रेरी है। इसलिए मैंने एक साधारण एक्सएएमएल उदाहरण (एक साधारण हैलो वर्ल्ड टेक्स्ट लेबल) की कोशिश की। लेकिन त्रुटि थी:

enter image description here

0
Pouya 16 सितंबर 2021, 11:10
मैं sudo apt install g++ gdb rsync zip से शुरू करूंगा। उन पैकेटों के बिना, यह निश्चित रूप से काम नहीं करेगा।
 – 
PMF
17 सितंबर 2021, 19:10
धन्यवाद, आपने जिस कमांड का उल्लेख किया है वह एक लिनक्स टर्मिनल कमांड है। लेकिन यहां हमारे पास विंडोज 10 आईओटी कोर है।
 – 
Pouya
18 सितंबर 2021, 14:29
1
तुम सही हो, क्षमा करें। मुझे पता है कि यह किसी तरह काम करता है, लेकिन मैंने खुद विंडोज 10 IoT का उपयोग नहीं किया है, खासकर इसलिए भी क्योंकि यह वास्तव में अब समर्थित नहीं है, जैसा कि ऐसा लगता है। मैं कुछ ऐसे लोगों को जानता हूं जो शायद जानते हों। मैं पूछूंगा, लेकिन इसमें कुछ दिन लग सकते हैं।
 – 
PMF
18 सितंबर 2021, 23:03
बहुत - बहुत धन्यवाद। मुझे विंडोज़ 10 IoT का उपयोग करना था। मैं वास्तव में विंडोज़ 10 आईओटी के बजाय रास्पियन ओएस जैसे लिनक्स वितरण का उपयोग करना पसंद करता हूं लेकिन मुझे अनुमति नहीं है।
 – 
Pouya
19 सितंबर 2021, 10:13
मैं आपके प्रश्न को ठीक से नहीं पढ़ रहा था - ऐसा लगता है कि आप वायरिंगपी का उपयोग कर रहे हैं। यह केवल linux के लिए asfaik है, और आपके निर्माण के लिए linux निर्भरता की आवश्यकता होती है। क्या आप सी का उपयोग करने के लिए बाध्य हैं?
 – 
PMF
23 सितंबर 2021, 19:35

1 उत्तर

सबसे बढ़िया उत्तर

मैंने Visual Studio 2022 एंटरप्राइज़ संस्करण (पूर्वावलोकन) के बजाय Visual Studio 2017 समुदाय संस्करण स्थापित किया, फिर कनेक्शन समस्या हल हो गई।

1
Pouya 21 सितंबर 2021, 19:18